// Variáveis
@import "variaveis";

@mixin radius-default ($radius-default: 25px) {
	-webkit-border-radius: $radius-default;
	border-radius: $radius-default;
}

.custom-toggler.navbar-toggler {
    border-color: rgb(255,255,255);
}
.custom-toggler .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255, 0.7)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}

.font-light {
	font-weight: 100;
}

.font-normal {
	font-weight: 500;
}

.font-semi-bold {
	font-weight: 600;
}

.font-bold {
	font-weight: 800;
}

.button {
	@include radius-default;
	color: $white-color !important;
	padding: 11px;
	display: inline-block;
	text-transform: uppercase;
	font-size: 18px;
	width: 100%;
    text-align: center;
	-webkit-appearance: none;
	-moz-appearance:    none;
	appearance:         none;
	border:	none;
	cursor:pointer;
	@extend .font-normal;

	&:hover {
		color: $white-color;
		text-decoration: none;
	}

	&-primary {
		background: $primary-color;

		&:hover {
			background: $primary-color-hover;
		}
	}

	&-secondary {
		background: $secondary-color;

		&:hover {
			background: $secondary-color-hover;
		}
	}

	&-tertiary {
		background: $text-color-3;

		&:hover {
			background: darken($text-color-3, 10);
		}
	}

	&-opacity {
		background: transparent;
		border: 2px solid $white-color;

		&:hover {
			background: $white-color;
			color: $text-color-1;
		}
	}

	&-facebook {
		background: #38629C;
		border: 2px solid $white-color;

		&:hover {
			background: lighten(#38629C, 10);
			color: $white-color;
		}
	}
}

form {
	.form-control {
		@include radius-default;
		padding: 11px 15px;
		border: 1px solid #DAD7D7;
		background: $white-color;
		color: $text-color-1;

		&::-webkit-input-placeholder { /* Chrome/Opera/Safari */
		  color: #BABABA;
		}
		&::-moz-placeholder { /* Firefox 19+ */
		  color: #BABABA;
		}
		&:-ms-input-placeholder { /* IE 10+ */
		  color: #BABABA;
		}
		&:-moz-placeholder { /* Firefox 18- */
		  color: #BABABA;
		}

		&.is-valid {
			color: $primary-color;
		    border-color: $primary-color;
		    position: relative;

		    ~ .valid-feedback {			   
			    width: 100%;
			    margin-top: 0.25rem;
			    font-size: 14px;;
			    color: $primary-color;
			}

			&:after {
				content: "\f00c";
				font: normal normal normal 14px/1 FontAwesome;
				display: inline-block;
			}
		}

		&.is-invalid {
			color: #E22626;
		    border-color: #E22626;
		    position: relative;

		    ~ .invalid-feedback {			   
			    width: 100%;
			    margin-top: 0.25rem;
			    font-size: 14px;;
			    color: #E22626;
			}
		}
	}

	.icon-is-valid {

		i {
			position: absolute;
			top: 43px;
    		right: 20px;
    		color: $primary-color;
		}
	}

	.icon-is-invalid {

		i {
			position: absolute;
			top: 43px;
    		right: 20px;
    		color: #E22626;
		}
	}

	.security-card {

		position: relative;

		img {
			position: absolute;
    		top: 38px;
    		right: 20px;
		}

		p {
			color: $primary-color !important;
			font-size: 16px;
			@extend .font-semi-bold;			

			img {
				position: relative;
				top: auto;
   				right: auto;
   				margin-right: 5px;
			}
		}
	}

	label {
		font-size: 18px;
		@extend .font-semi-bold;
		margin-bottom: 0px;
	}

	a {
		color: $text-color-1;
		text-decoration: underline;
		font-size: 16px;

		&:hover {
			color: lighten($text-color-1, 10);
		}

		&.var {
			color: $secondary-color;

			&:hover {
				color: $secondary-color-hover;
			}
		}
	}
}

.white-bg {
	background: $white-color;
}

.p-10 {
	padding-top: 125px;
}

.bg-gradient {
	background: #E39155;
}

.planos {

	.content {
		position: relative;
		padding: 5px 33px 33px;
		border-radius: 0px 0px 10px 10px;
		border-bottom: 10px solid $primary-color;

		img {

			&:nth-child(1) {
				left: 0px;
    			top: -125px;
			}

			&:nth-child(2) {
				left: 50%;
			    top: -90px;
			    margin-left: -43px;
			}
		}

		.title {			
			border-top: 2px solid #DAD7D7;
		    max-width: 80%;
		    padding: 20px 0 0 0;
		    margin-top: 20px;

			p {
				font-size: 16px;

				span {
					color: $primary-color;
					@extend .font-bold;;
				}
			}
		}

		.body {
			font-size: 14px;

			ul {

				li {
					line-height: 30px;

					span {
						color: $text-color-3;
						@extend .font-bold;
						margin-right: 10px
					}
				}
			}
		}

		.footer {

			p {
				position: relative;
				font-size: 83px;
				@extend .font-bold;

				span {
					font-size: 33px;
				}

				sup {
					font-size: 23px;
					line-height: 45px;
					vertical-align: top;
					top: auto;
				}

				small {
					position: absolute;
					font-size: 21px;
					@extend .font-bold;
					bottom: 25px;    				
				}
			}
		}

		&.p {

			.footer {

				p {

					small {
						right: 43px;
					}
				}
			}
		}

		&.m {
			border-bottom: 10px solid $secondary-color;
		    padding-bottom: 60px;

		    img {

		    	&:nth-child(2) {
					left: 50%;
				    top: -103px;
				    margin-left: -81px;
				}

				&:nth-child(3) {
    				top: -43px;		
    				right: -30px;
				}
		    }

		    .title {
		    	margin-top: 40px;
		    }

			.footer {

				p {

					small {
						right: 22px;
					}
				}
			}
		}

		&.g {

			img {

		    	&:nth-child(2) {
					left: 50%;
    				top: -100px;
    				margin-left: -70px;
				}
		    }

			.footer {

				p {

					small {
						right: 22px;
					}
				}
			}
		}
	}
}

.accordion {

	.card {
		border-radius: 0px;
		border: none;
		border-bottom: 1px solid #DAD7D7;

		&:first-child {
			border-radius: 10px 10px 0px 0px;
		}

		&:last-child {
			border-radius: 0px 0px 10px 10px;

			.card-header {
				border-radius: 0px 0px 10px 10px;
			}
		}

		&-header {
			background: $white-color;
			border-bottom: none;

			.btn-link {
				font-size: 24px;
				@extend .font-bold;
				color: $text-color-1;
			    padding-left: 0;
			    position: relative;
			    width: 100%;
			    text-align: left;
			    white-space: initial;

				&:hover {
					text-decoration: none;
					color: lighten($text-color-1, 10)
				}

				&:after {
					font-family: 'FontAwesome';				    
			        content: "\f105";  
				    float: right;
				    font-size: 30px;
				    color: $text-color-3;
				}

				&.collapsed {

					&:after {
						content: "\f107";  
					}
				}
			}

			&:first-child {
				border-radius: 10px 10px 0px 0px;
			}

		}

		&-body {
			font-size: 16px;
			color: $text-color-2;
			padding-top: 0px;

			a {
				color: $text-color-1;
				text-decoration: underline;

				&:hover {
					color: lighten($text-color-1, 10)
				}
			}
		}
	}
}

.grey-circle {
	top: -38px;
    position: absolute;
    width: 228px;
    height: 148px;
    display: block;
    border-radius: 100%;
    left: 50%;
    margin-left: -114px;
    background: #f7f7f7;
}

.orange-circle {
	top: -38px;
    position: absolute;
    width: 228px;
    height: 148px;
    display: block;
    border-radius: 100%;
    left: 50%;
    margin-left: -114px;
    background: #E39155;
}

.form-news {
	border-radius: 10px;
	border: 2px solid #E39155;

	.head {
		background-color: #E39155;
		position: relative;
		padding: 24px 15px;

		p {
			font-size: 21px;
			color: $white-color;
			font-weight: 900;
    		letter-spacing: 2px;
    		margin-bottom: 0px;
		    z-index: 1;
		    position: relative;
		}

		.orange-circle {
			top: -38px;
		    position: absolute;
		    width: 198px;
		    height: 118px;
		    display: block;
		    border-radius: 100%;
		    left: 50%;
		    margin-left: -99px;
		    background: #E39155;
		}		
	}

	.content {
		padding: 30px 15px;

		.button {
			width: 85%;
		    margin: 0 auto;
		    text-align: center;
		    display: block;
		}
	}
}

.default-radius-border {
	border-radius: 10px;
	border: 1px solid #F4F4F4;
}

.indicacao {
	padding-top: 0px;

	.content {
		@extend .default-radius-border;
		padding: 15px 50px;

		h3 {
			color: $primary-color;
		}

		p {
			font-size: 16px;
			color: #A8A8A8;
			margin: 0px;
		}
	}
}

.body {
	ul {

		li {
			line-height: 30px;
			border-bottom: none !important;
			padding: 0 !important;

			span {
		    	color: $text-color-3;
				margin-right: 10px;
				@extend .font-bold;
			}
		}
	}
}

.modal-dialog.modal-lg.lg-x2 {
	@media #{$break-point-min-992px} {
		max-width: 1200px;
	}
}